/*----------------------------
https://blog.s0014.com/posts/2017-01-19-il-to-svg/
でSVGをBase64コードに変換

::before{
-webkit-mask-image: url('data:image/svg+xml;charset=utf8,ここに変換したBase64コードを貼り付け');
}

*/


.fa,
.fa-brands,
.fa-duotone,
.fa-light,
.fa-regular,
.fa-solid,
.fa-thin,
.fab,
.fad,
.fal,
.far,
.fas,
.fat {
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    display: var(--fa-display, inline-block);
    font-style: normal;
    font-variant: normal;
    text-rendering: auto;
    vertical-align: middle;
    line-height: 1;
}

.fa::before,
.fa-brands::before,
.fa-duotone::before,
.fa-light::before,
.fa-regular::before,
.fa-solid::before,
.fa-thin::before,
.fab::before,
.fad::before,
.fal::before,
.far::before,
.fas::before,
.fat::before {
    content: "";
    width: 1em;
    height: 1em;
    display: inline-block;
    -webkit-mask-size: contain;
    -webkit-mask-position: center;
    -webkit-mask-repeat: no-repeat;
    background-color: currentColor;
    line-height: 1;
}

.fa-calendar-days::before {
    -webkit-mask-image: url('data:image/svg+xml;charset=utf8,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%20640%20640%22%3E%3Cpath%20d%3D%22M224%2064C241.7%2064%20256%2078.3%20256%2096L256%20128L384%20128L384%2096C384%2078.3%20398.3%2064%20416%2064C433.7%2064%20448%2078.3%20448%2096L448%20128L480%20128C515.3%20128%20544%20156.7%20544%20192L544%20480C544%20515.3%20515.3%20544%20480%20544L160%20544C124.7%20544%2096%20515.3%2096%20480L96%20192C96%20156.7%20124.7%20128%20160%20128L192%20128L192%2096C192%2078.3%20206.3%2064%20224%2064zM160%20304L160%20336C160%20344.8%20167.2%20352%20176%20352L208%20352C216.8%20352%20224%20344.8%20224%20336L224%20304C224%20295.2%20216.8%20288%20208%20288L176%20288C167.2%20288%20160%20295.2%20160%20304zM288%20304L288%20336C288%20344.8%20295.2%20352%20304%20352L336%20352C344.8%20352%20352%20344.8%20352%20336L352%20304C352%20295.2%20344.8%20288%20336%20288L304%20288C295.2%20288%20288%20295.2%20288%20304zM432%20288C423.2%20288%20416%20295.2%20416%20304L416%20336C416%20344.8%20423.2%20352%20432%20352L464%20352C472.8%20352%20480%20344.8%20480%20336L480%20304C480%20295.2%20472.8%20288%20464%20288L432%20288zM160%20432L160%20464C160%20472.8%20167.2%20480%20176%20480L208%20480C216.8%20480%20224%20472.8%20224%20464L224%20432C224%20423.2%20216.8%20416%20208%20416L176%20416C167.2%20416%20160%20423.2%20160%20432zM304%20416C295.2%20416%20288%20423.2%20288%20432L288%20464C288%20472.8%20295.2%20480%20304%20480L336%20480C344.8%20480%20352%20472.8%20352%20464L352%20432C352%20423.2%20344.8%20416%20336%20416L304%20416zM416%20432L416%20464C416%20472.8%20423.2%20480%20432%20480L464%20480C472.8%20480%20480%20472.8%20480%20464L480%20432C480%20423.2%20472.8%20416%20464%20416L432%20416C423.2%20416%20416%20423.2%20416%20432z%22%2F%3E%3C%2Fsvg%3E');
}

.fa-file-pdf::before {
    -webkit-mask-image: url('data:image/svg+xml;charset=utf8,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%20640%20640%22%3E%3Cpath%20d%3D%22M240%20112L128%20112C119.2%20112%20112%20119.2%20112%20128L112%20512C112%20520.8%20119.2%20528%20128%20528L208%20528L208%20576L128%20576C92.7%20576%2064%20547.3%2064%20512L64%20128C64%2092.7%2092.7%2064%20128%2064L261.5%2064C278.5%2064%20294.8%2070.7%20306.8%2082.7L429.3%20205.3C441.3%20217.3%20448%20233.6%20448%20250.6L448%20400.1L400%20400.1L400%20272.1L312%20272.1C272.2%20272.1%20240%20239.9%20240%20200.1L240%20112.1zM380.1%20224L288%20131.9L288%20200C288%20213.3%20298.7%20224%20312%20224L380.1%20224zM272%20444L304%20444C337.1%20444%20364%20470.9%20364%20504C364%20537.1%20337.1%20564%20304%20564L292%20564L292%20592C292%20603%20283%20612%20272%20612C261%20612%20252%20603%20252%20592L252%20464C252%20453%20261%20444%20272%20444zM304%20524C315%20524%20324%20515%20324%20504C324%20493%20315%20484%20304%20484L292%20484L292%20524L304%20524zM400%20444L432%20444C460.7%20444%20484%20467.3%20484%20496L484%20560C484%20588.7%20460.7%20612%20432%20612L400%20612C389%20612%20380%20603%20380%20592L380%20464C380%20453%20389%20444%20400%20444zM432%20572C438.6%20572%20444%20566.6%20444%20560L444%20496C444%20489.4%20438.6%20484%20432%20484L420%20484L420%20572L432%20572zM508%20464C508%20453%20517%20444%20528%20444L576%20444C587%20444%20596%20453%20596%20464C596%20475%20587%20484%20576%20484L548%20484L548%20508L576%20508C587%20508%20596%20517%20596%20528C596%20539%20587%20548%20576%20548L548%20548L548%20592C548%20603%20539%20612%20528%20612C517%20612%20508%20603%20508%20592L508%20464z%22%2F%3E%3C%2Fsvg%3E');
}

.fa-file-word::before {
    -webkit-mask-image: url('data:image/svg+xml;charset=utf8,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%20640%20640%22%3E%3Cpath%20d%3D%22M192%20112L304%20112L304%20200C304%20239.8%20336.2%20272%20376%20272L464%20272L464%20512C464%20520.8%20456.8%20528%20448%20528L192%20528C183.2%20528%20176%20520.8%20176%20512L176%20128C176%20119.2%20183.2%20112%20192%20112zM352%20131.9L444.1%20224L376%20224C362.7%20224%20352%20213.3%20352%20200L352%20131.9zM192%2064C156.7%2064%20128%2092.7%20128%20128L128%20512C128%20547.3%20156.7%20576%20192%20576L448%20576C483.3%20576%20512%20547.3%20512%20512L512%20250.5C512%20233.5%20505.3%20217.2%20493.3%20205.2L370.7%2082.7C358.7%2070.7%20342.5%2064%20325.5%2064L192%2064zM263.3%20338.2C260.1%20325.3%20247.1%20317.5%20234.2%20320.7C221.3%20323.9%20213.5%20337%20216.7%20349.8L248.7%20477.8C251.2%20488%20260.1%20495.3%20270.6%20495.9C281.1%20496.5%20290.7%20490.2%20294.4%20480.4L319.9%20412.3L345.4%20480.4C349.1%20490.2%20358.7%20496.5%20369.2%20495.9C379.7%20495.3%20388.6%20488%20391.1%20477.8L423.1%20349.8C426.3%20336.9%20418.5%20323.9%20405.6%20320.7C392.7%20317.5%20379.7%20325.3%20376.5%20338.2L363.2%20391.4L342.3%20335.6C339%20326.2%20330%20320%20320%20320C310%20320%20301%20326.2%20297.5%20335.6L276.6%20391.4L263.3%20338.2z%22%2F%3E%3C%2Fsvg%3E');
}
